libphp7.2-embed_7.2.3-1ubuntu1_i386.deb


Advertisement

Description

libphp7.2-embed - HTML-embedded scripting language (Embedded SAPI library)

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libphp7.2-embed
Package version 7.2.3
Package release 1ubuntu1
Package architecture i386
Package type deb
Installed size 4.18 KB
Download size 1.32 MB
Official Mirror archive.ubuntu.com
This package provides the library /usr/lib/libphp7.2.so which can
be used by application developers to embed PHP scripting functionality.
The following extensions are built in: Core date filter hash libxml openssl
pcntl pcre Reflection session sodium SPL standard zlib.
PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
open source general-purpose scripting language that is especially suited
for web development and can be embedded into HTML.
WARNING: The embed SAPI is experimental and there's no guarantee that
the API/ABI will be kept compatible even between minor releases.  You
have been warned.

Alternatives

Package Version Architecture Repository
libphp7.2-embed_7.2.5-0ubuntu0.18.04.1_i386.deb 7.2.5 i386 Ubuntu Updates Universe
libphp7.2-embed_7.2.5-0ubuntu0.18.04.1_amd64.deb 7.2.5 amd64 Ubuntu Updates Universe
libphp7.2-embed_7.2.3-1ubuntu1_amd64.deb 7.2.3 amd64 Ubuntu Universe
libphp7.2-embed - - -

Requires

Name Value
libargon2-0 >= 0~20160406~
libc6 >= 2.27
libmagic1 -
libpcre3 >= 2:8.35
libsodium23 >= 1.0.14
libssl1.1 >= 1.1.0
libxml2 >= 2.8.0
mime-support -
php7.2-cli -
php7.2-common = 7.2.3-1ubuntu1
php7.2-json -
php7.2-opcache -
tzdata -
ucf -
zlib1g >= 1:1.2.3.4

Provides

Name Value
libphp-embed -
phpapi-20170718 -

Download

Type URL
Binary Package libphp7.2-embed_7.2.3-1ubuntu1_i386.deb
Source Package php7.2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libphp7.2-embed deb package:
    # sudo apt-get install libphp7.2-embed

Files

Path
/usr/lib/libphp7.2.so
/usr/lib/php/7.2/sapi/embed
/usr/share/bug/libphp7.2-embed/control
/usr/share/bug/libphp7.2-embed/script
/usr/share/doc/libphp7.2-embed
/usr/share/lintian/overrides/libphp7.2-embed

Changelog

2018-03-14 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php7.2 (7.2.3-1ubuntu1) bionic; urgency=medium
* Merge with Debian unstable (LP: #1744148). Remaining changes:
- Drop dh-php from Recommends to Suggests so it can be demoted to
universe as it depends on xml2/universe.
2018-03-06 - Ondřej Surý <ondrej@debian.org>
php7.2 (7.2.3-1) unstable; urgency=medium
* New upstream version 7.2.3
* Rebase patches on top of new upstream release.
2018-02-06 - Ondřej Surý <ondrej@debian.org>
php7.2 (7.2.2-3) unstable; urgency=medium
* Add explicit libpcre3 >= 2:8.35 dependency as dh_genshlibs is failing
to add versioned dependency for some reason.
2018-02-06 - Ondřej Surý <ondrej@debian.org>
php7.2 (7.2.2-2) unstable; urgency=medium
* Remove explicit libpcre3 dependency and let dh_genshlibs do its magic
2018-02-28 - Steve Langasek <steve.langasek@ubuntu.com>
php7.2 (7.2.2-1ubuntu2) bionic; urgency=medium
* No-change rebuild against libcurl4
2018-02-09 - Dimitri John Ledkov <xnox@ubuntu.com>
php7.2 (7.2.2-1ubuntu1) bionic; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Drop dh-php from Recommends to Suggests so it can be demoted to
universe as it depends on xml2/universe.
2018-02-01 - Ondřej Surý <ondrej@debian.org>
php7.2 (7.2.2-1) unstable; urgency=medium
* New upstream version 7.2.2
* Rebase patches on top of new upstream release
* Regenerate d/control to finish php7.2-sodium removal
2018-01-31 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php7.2 (7.2.1-1ubuntu2) bionic; urgency=medium
* d/control.in: also needs update to keep dh-php in universe.
2018-01-25 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
php7.2 (7.2.1-1ubuntu1) bionic; urgency=medium
* Drop dh-php from Recommends to Suggests so it can be demoted to
universe (LP #1590623).
+ dh-php has gained a dependency on xml2 which is in universe. 
2018-01-05 - Ondřej Surý <ondrej@debian.org>
php7.2 (7.2.1-1) unstable; urgency=medium
* Update the Vcs-* to salsa.d.o
* Slightly update debian/copyright (most changes were already in)
* New upstream version 7.2.1
* Rebase patches on top of new upstream release

See Also

Package Description
libphtools2-dev_20061220+dfsg3-3.1build1_i386.deb [Physics] General purpose Monte Carlo routines (development files)
libphtools2-gfortran_20061220+dfsg3-3.1build1_i386.deb [Physics] General purpose Monte Carlo routines
libphutil_0~git20170812-1_all.deb Shared library for Arcanist and Phabricator
libphysfs-dev_3.0.1-1_i386.deb filesystem abstraction library for game programmers (development headers)
libphysfs1_3.0.1-1_i386.deb filesystem abstraction library for game programmers
libpiano-dev_2017.08.30-1_i386.deb library to interface with Pandora radio -- development
libpiano0_2017.08.30-1_i386.deb library to interface with Pandora radio -- runtime files
libpicard-java-doc_2.8.1+dfsg-3_all.deb Documentation for the java picard library
libpicard-java_2.8.1+dfsg-3_all.deb Java library to manipulate SAM and BAM files
libpiccolo-java_1.2-1_all.deb toolkit for development of 2D structured graphics
libpicocontainer-java-doc_2.15-2_all.deb Java library implementing the Dependency Injection pattern -- docs
libpicocontainer-java_2.15-2_all.deb Java library implementing the Dependency Injection pattern
libpimcommon4_4.14.10-7_i386.deb library for common bits of KDEPIM
libpion-5.0_5.0.7+dfsg-4_i386.deb lightweight HTTP interface library - runtime files
libpion-dev_5.0.7+dfsg-4_i386.deb lightweight HTTP interface library - development files
Advertisement
Advertisement